<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="lastPage()">
        <ion-icon name="chevron-back-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>{{send}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <form action="" class="ion-padding" [formGroup]="emailForm" (ngSubmit)="sendEmail()">
    <ion-item>
      <ion-label class="color-gray" slot="start">{{to}}</ion-label>
      <ion-input type="email" formControlName="to" (ionChange)="getError('to')"></ion-input>
    </ion-item>
    <p class="error" *ngIf="formErrors['to']">{{ formErrors['to'] }}</p>
    <ion-item>
      <ion-input formControlName="subject" (ionChange)="getError('subject')" placeholder="{{titl}}"></ion-input>
    </ion-item>
    <p class="error" *ngIf="formErrors['subject']">{{ formErrors['subject'] }}</p>

    <ion-item>
      <ion-textarea formControlName="body" (ionChange)="getError('body')" rows="6" cols="20" placeholder="{{body}}">
      </ion-textarea>
    </ion-item>
    <p class="error" *ngIf="formErrors['body']">{{ formErrors['body'] }}</p>

    <ion-fab slot="fixed" vertical="bottom" horizontal="end">
      <ion-fab-button type="submit" class="send-email-btn" (click)="sendEmail()" [disabled]="!emailForm.valid">
        <ion-icon name="send" class="mr-1"></ion-icon>
      </ion-fab-button>
    </ion-fab>

  </form>
  <!-- <ion-img id='logoDextailLight' src="./assets/images/dextailsloganactual.png"></ion-img> -->
</ion-content>
